Bug 1987893 - python-tackerclient: FTBFS in Fedora rawhide/f35
Summary: python-tackerclient: FTBFS in Fedora rawhide/f35
Keywords:
Status: MODIFIED
Alias: None
Product: Fedora
Classification: Fedora
Component: python-tackerclient
Version: 35
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Javier Peña
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F35FTBFS F36FTBFS, RAWHIDEFTBFS PYTHON3.10
TreeView+ depends on / blocked
 
Reported: 2021-07-29 16:42 UTC by Fedora Release Engineering
Modified: 2021-08-11 09:51 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: ---


Attachments (Terms of Use)

Description Fedora Release Engineering 2021-07-29 16:42:19 UTC
python-tackerclient failed to build from source in Fedora rawhide/f35

https://koji.fedoraproject.org/koji/taskinfo?taskID=72483134


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild
Please fix python-tackerclient at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
python-tackerclient will be orphaned. Before branching of Fedora 36,
python-tackerclient will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 1 Fedora Release Engineering 2021-08-01 04:33:27 UTC
Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 35.
Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this Bugzilla report.

Following the policy for such packages [2], your package will be orphaned if
this bug remains in NEW state more than 8 weeks (not sooner than 2021-09-23).

A week before the mass branching of Fedora 36 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 34 will be
retired regardless of the status of this bug.

[1] https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedorapeople.org/groups/schedule/f-36/f-36-key-tasks.html

Comment 2 Javier Peña 2021-08-05 07:43:42 UTC
This has been caused by the recent python-testtools update to version 2.5.0, which removed the safe_hasattr helper [1].

I have proposed patch [2] upstream to fix this. If it gets positive feedback, I will include it in the spec and run a new build.

[1] - https://github.com/testing-cabal/testtools/blob/2.5.0/NEWS#L31-L34
[2] - https://review.opendev.org/c/openstack/python-tackerclient/+/803540

Comment 3 Ben Cotton 2021-08-10 13:28:20 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 35 development cycle.
Changing version to 35.

Comment 4 Javier Peña 2021-08-11 08:27:20 UTC
I have build https://koji.fedoraproject.org/koji/taskinfo?taskID=73663207 to fix it in f35.

For some reason, the same build fails on rawhide with a weird unit test error, but it works locally and using a scratch build. Maybe it's related to some of the builders, I'll retry in the future.


Note You need to log in before you can comment on or make changes to this bug.